Subject: 23.1; trouble indenting looooong lines with visual-line-mode

From: Allan Gottlieb <[email-masked]>
Date: Wed, 02 Sep 2009 10:13:28 -0400

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Start with emacs -Q and a buffer in fundamental mode

Consider a line wider than the frame, for example

xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

which exceeds an 80 column frame.
Now assume you have a short line say
yyyy
followed by the above long line, i.e.
yyyy
xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

So far so good.  Now indent the long line with say one space.
If visual-line-mode is OFF, I see what I expect, the long line is
preceded by one space.

But with visual-line-mode ON, a blank line appears on the screen between
the short and long lines, i.e. the long line (with only one word) was
wrapped.
This behavior seems wrong.
I realize the blank line is not in the file, but believe the on-screen
image is misleading or at least annoying.

Thanks for emacs.
allan <[email-masked]>

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.14.7)
 of 2009-08-17 on ajglap
Windowing system distributor `The X.Org Foundation', version 11.0.10503000
configured using `configure  '--prefix=/usr' '--build=i686-pc-linux-gnu' '--host=i686-pc-linux-gnu' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--datadir=/usr/share' '--sysconfdir=/etc' '--localstatedir=/var/lib' '--program-suffix=-emacs-23' '--infodir=/usr/share/info/emacs-23' '--with-sound' '--with-x' '--with-toolkit-scroll-bars' '--with-gif' '--with-jpeg' '--with-png' '--without-rsvg' '--with-tiff' '--with-xpm' '--with-xft' '--without-libotf' '--without-m17n-flt' '--with-x-toolkit=gtk' '--without-hesiod' '--without-kerberos' '--without-kerberos5' '--with-gpm' '--with-dbus' 'build_alias=i686-pc-linux-gnu' 'host_alias=i686-pc-linux-gnu' 'CFLAGS=-O2 -march=prescott -pipe' 'LDFLAGS=-Wl,-O1''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: nil
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: Article

Minor modes in effect:
  iswitchb-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x a j g SPC i n i t <return> M-x g n u s <return> 
<return> <down> <down> <down> SPC E SPC <help-echo> 
<select-window> <help-echo> <select-window> <help-echo> 
<select-window> <select-window> q <down> <return> <C-end> 
C-r - > <return> <return> <help-echo> <help-echo> <select-window> 
<help-echo> <select-window> <select-window> <select-window> 
<help-echo> <help-echo> <select-window> ! d ! <select-window> 
<select-window> C-x 5 2 <switch-frame> <switch-frame> 
<select-window> <help-echo> <help-echo> M-x r e p o 
r t - e m <tab> <return>

Recent messages:
Fetching headers for nnml:MAIL...done
Finding all score files...done
Generating summary...done
Retrieving newsgroup: nnml:emacs...
Fetching headers for nnml:emacs...done
Scoring...done
Generating summary...done
Mark set
Mark saved where search started
Auto-saving...done